Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.client
Class GWT

    java.lang.Object
      com.google.gwt.core.client.GWT

    public final class GWT

extends java.lang.Object

Supports core functionality that in some cases requires direct support from the compiler and runtime systems such as runtime type information and deferred binding.

Nested Class Summary
`static interface` | `GWT.UncaughtExceptionHandler` This interface is used to catch exceptions at the "top level" just before they escape to the browser.

Constructor Summary
`GWT()`

Method Summary
`static
`<T> T`
` | `create(java.lang.Class<?> classLiteral)` Instantiates a class via deferred binding.
`static java.lang.String` | `getHostPageBaseURL()` Gets the URL prefix of the hosting page, useful for prepending to relative paths of resources which may be relative to the host page.
`static java.lang.String` | `getModuleBaseURL()` Gets the URL prefix of the module which should be prepended to URLs that are intended to be module-relative, such as RPC entry points and files in the module's public path.
`static java.lang.String` | `getModuleName()` Gets the name of the running module.
`static java.lang.String` | `getTypeName(java.lang.Object o)` Deprecated. Use `Object.getClass()`, `Class.getName()`.
`static GWT.UncaughtExceptionHandler` | `getUncaughtExceptionHandler()` Returns the currently active uncaughtExceptionHandler.
`static java.lang.String` | `getVersion()`
`static boolean` | `isClient()` Returns `true` when running inside the normal GWT environment, either in hosted mode or web mode.
`static boolean` | `isScript()` Determines whether or not the running program is script or bytecode.
`static void` | `log(java.lang.String message, java.lang.Throwable e)` Logs a message to the development shell logger in hosted mode.
`static void` | `setUncaughtExceptionHandler(GWT.UncaughtExceptionHandler handler)` Sets a custom uncaught exception handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GWT

    public GWT()

Method Detail

### create

    public static <T> T create(java.lang.Class<?> classLiteral)

  Instantiates a class via deferred binding.

  The argument to `create(Class)` must be a class literal because the web mode compiler must be able to statically determine the requested type at compile-time. This can be tricky because using a `Class` variable may appear to work correctly in hosted mode.

  Parameters:
    `classLiteral` - a class literal specifying the base class to be instantiated
  Returns:
    the new instance, which must be typecast to the requested class.

### getHostPageBaseURL

    public static java.lang.String getHostPageBaseURL()

  Gets the URL prefix of the hosting page, useful for prepending to relative paths of resources which may be relative to the host page. Typically, you should use `getModuleBaseURL()` unless you have a specific reason to load a resource relative to the host page.

  Returns:
    if non-empty, the base URL is guaranteed to end with a slash

### getModuleBaseURL

    public static java.lang.String getModuleBaseURL()

  Gets the URL prefix of the module which should be prepended to URLs that are intended to be module-relative, such as RPC entry points and files in the module's public path.

  Returns:
    if non-empty, the base URL is guaranteed to end with a slash

### getModuleName

    public static java.lang.String getModuleName()

  Gets the name of the running module.

### getTypeName

    @Deprecated
    public static java.lang.String getTypeName(java.lang.Object o)

  Deprecated. Use `Object.getClass()`, `Class.getName()`.

### getUncaughtExceptionHandler

    public static GWT.UncaughtExceptionHandler getUncaughtExceptionHandler()

  Returns the currently active uncaughtExceptionHandler. "Top level" methods that dispatch events from the browser into user code must call this method on entry to get the active handler. If the active handler is null, the entry point must allow exceptions to escape into the browser. If the handler is non-null, exceptions must be caught and routed to the handler. See the source code for `DOM.dispatchEvent()` for an example of how to handle this correctly.

  Returns:
    the currently active handler, or null if no handler is active.

### getVersion

    public static java.lang.String getVersion()

### isClient

    public static boolean isClient()

  Returns `true` when running inside the normal GWT environment, either in hosted mode or web mode. Returns `false` if this code is running in a plain JVM. This might happen when running shared code on the server, or during the bootstrap sequence of a GWTTestCase test.

### isScript

    public static boolean isScript()

  Determines whether or not the running program is script or bytecode.

### log

    public static void log(java.lang.String message,
                           java.lang.Throwable e)

  Logs a message to the development shell logger in hosted mode. Calls are optimized out in web mode.

### setUncaughtExceptionHandler

    public static void setUncaughtExceptionHandler(GWT.UncaughtExceptionHandler handler)

  Sets a custom uncaught exception handler. See `getUncaughtExceptionHandler()` for details.

  Parameters:
    `handler` - the handler that should be called when an exception is about to escape to the browser, or `null` to clear the handler and allow exceptions to escape.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD